	
%global min_libsolv_version 0.6.30
 
Name:           perl-BSSolv
Version:        0.17
Release:        1
Summary:        OBS solver and repository management using libsolv
License:        GPL or Artistic
URL:            https://github.com/openSUSE/perl-BSSolv
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
 
# Backports from upstream
#Patch0001:      0001-Implement-genmetaalgo-1.patch
 
# Patches proposed upstream
# Align Debian and Arch support to libsolv, bug #1342160
# From: https://github.com/openSUSE/perl-BSSolv/pull/10
#Patch0501:      0501-Align-Debian-and-Arch-support-to-libsolv.patch
 
BuildRequires:  gcc
BuildRequires:  libsolv-devel >= %{min_libsolv_version}
BuildRequires:  perl-interpreter
BuildRequires:  perl(strict)
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       libsolv%{?_isa} >= %{min_libsolv_version}
 
 
%description
This is a support perl module for the OBS backend. It contains functions
for repository management, dependency solving, package ordering, and meta
file creation.
 
 
%prep
%autosetup -p1
 
%build
# Ensure build flags are set
%{set_build_flags}
perl Makefile.PL
make %{?_smp_mflags}
 
%install
make DESTDIR=%{buildroot} install_vendor
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} \;
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*
 
%check
make test
 
%files
%{perl_vendorarch}/BSSolv.pm
%{perl_vendorarch}/auto/BSSolv
%doc README dist/perl-BSSolv.changes

%changelog
* Wed Jan 27 2021 liudabo <liudabo1@huawei.com> - 0.17-1
- upgrade version to 0.17 

* Wed Nov 25 2020 wuchaochao <wuchaochao4@huawei.com> - 0.14-1
- change spec

* Wed Sep 16 2020 Ge Wang <wangge20@huawei.com> - 0.37-lp151.1.3
- Modify Source0 Url

* Wed Mar 4 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.37-lp151.1.2
- Package init
